Bug 32637 - upgrade 6.2->7.1: Traceback after lilo config if create swap is skipped
upgrade 6.2->7.1: Traceback after lilo config if create swap is skipped
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Erik Troan
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-21 21:45 EST by Ben Levenson
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-22 11:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2001-03-21 21:45:27 EST
build qa0321.2
TUI CDROM upgrade
6.2 Everything --> 7.1

The following traceback results if <Skip> is selected at the 
create swap screen during an upgrade.  The traceback 
appears after answering <No> to the "customize packages
for upgrade" screen.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 509, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1115, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/textw/packages_text.py",
line 295, in __call__
    self.deps = todo.verifyDeps ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1036, in
verifyDeps
    if self.verifiedState == self.comps.getSelectionState()[1]:
AttributeError: 'None' object has no attribute 'getSelectionState'

Local variables in innermost frame:
self: <todo.ToDo instance at 822a528>

This system has successfully performed several upgrades prior to the
addition
of the "create swap" feature in the installer.

Meminfo before upgrade:
                 total:            used:        free:      shared:     
buffers:  cached:
Mem:  263868416 45641728 218226688 46645248  4399104 23695360
Swap: 279576576               0 279576576
Comment 1 Ben Levenson 2001-03-22 00:07:36 EST
A slightly different traceback results when you proceed to the screen
to customize your packages for upgrade.  Select <Yes> to customize,
and select <OK> on the following screen (with the default packages 
selected):

Traceback (innermost last):
  File "/usr/bin/anaconda", line 509, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1115, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/textw/packages_text.py", line
295, in __call__
    self.deps = todo.verifyDeps ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1046, in
verifyDeps
    db = rpm.opendb (0, self.instPath)
rpm.error: cannot open 

Local variables in innermost frame:
self: <todo.ToDo instance at 822a528>
win: <text.WaitWindow instance at 859d6d0>

***The SWAP creation can be skipped in GUI mode with no problems.***
I followed the same procedure in GUI mode and didn't get a traceback
(with or without package customization).
Comment 2 Erik Troan 2001-03-22 11:49:18 EST
Fixed in CVS. Please test tomarrow.
Comment 3 Brock Organ 2001-03-22 12:45:45 EST
verified fix in qa0322.0 (with RHupdates) ...

Note You need to log in before you can comment on or make changes to this bug.